include "database.iol"

define createTables
{
	q = "create table users (
		id integer generated always as identity primary key,
		email varchar(128) not null unique,
		password varchar(128) not null
	)";

	update@Database( q )()
}

main
{
	with( connectionInfo ) {
		.host = "";
		.driver = "derby_embedded";
		.port = 0;
		.database = "my_database";
		.username = "";
		.password = "";
		.attributes = "create=true"
	};
	connect@Database( connectionInfo )();
	createTables
}

